''This code example is from Propeller Education Kit Labs: Fundamentals, v1.1.
''A .pdf copy of the book is available from www.parallax.com, and also through
''the Propeller Tool software's Help menu (v1.2.6 or newer).
''
'' TestIrDutyDistanceDetector.spin
'' Test distance detection with IrDetector object.

CON

  _xinfreq = 5_000_000                      
  _clkmode = xtal1 + pll16x

   
OBJ

  ir     : "IrDetector"
      
var
  long Stack[200]
  
PUB TestIr (addrLIR)
   cognew(GetDistL(addrLIR), @Stack[0])
  
Pub GetDistL(addrLIR) | ldist
  
  
  LONG[addrLIR] := -1
  ir.init(15,16,17) 'anode pin, cathode pin, receive pin
  
  repeat
    ldist := ir.Distance 'get distance from IrDetector 0-255
    LONG[addrLIR] := ldist  'copy ldist to pointer for global variable
    waitcnt(clkfreq/100 + cnt) 'pause
  
    
    